/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VSquareLimit;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VSquareLimitRecord extends TableRecordImpl<VSquareLimitRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_square_limit.dn</code>.
     */
    public void setDn(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_square_limit.dn</code>.
     */
    public String getDn() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_square_limit.limit_hard_up</code>.
     */
    public void setLimitHardUp(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_square_limit.limit_hard_up</code>.
     */
    public String getLimitHardUp() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_square_limit.limit_hard_low</code>.
     */
    public void setLimitHardLow(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_square_limit.limit_hard_low</code>.
     */
    public String getLimitHardLow() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_square_limit.limit_soft_up</code>.
     */
    public void setLimitSoftUp(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_square_limit.limit_soft_up</code>.
     */
    public String getLimitSoftUp() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_square_limit.limit_soft_low</code>.
     */
    public void setLimitSoftLow(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_square_limit.limit_soft_low</code>.
     */
    public String getLimitSoftLow() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VSquareLimitRecord
     */
    public VSquareLimitRecord() {
        super(VSquareLimit.V_SQUARE_LIMIT);
    }

    /**
     * Create a detached, initialised VSquareLimitRecord
     */
    public VSquareLimitRecord(String dn, String limitHardUp, String limitHardLow, String limitSoftUp, String limitSoftLow) {
        super(VSquareLimit.V_SQUARE_LIMIT);

        setDn(dn);
        setLimitHardUp(limitHardUp);
        setLimitHardLow(limitHardLow);
        setLimitSoftUp(limitSoftUp);
        setLimitSoftLow(limitSoftLow);
        resetChangedOnNotNull();
    }
}
